[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetEditMask

GetEditMask gets the EditMask for the Field at the specified Row and Column.

## Declaration

Source position: dbgrids.pas line 467

`protected function TCustomDBGrid.GetEditMask(`
`aCol: LongInt;`
`aRow: LongInt`
`):string; override;`

## Arguments

`aCol` |  | Column in the grid.
`aRow` |  | Row in the grid.

## Function result

Edit mask for the specified cell.

## Description

GetEditMask is an overridden String function used to get the EditMask for the TField that reads and writes data for specified Row and Column.

The linked dataset for the grid control must be active to access the Field definition at the specified column number. GetEditMask calls the GetFieldFromGridColumn method to get the TField instance with the EditMask for the column.

The return value can contain an empty string ('') is the dataset is not active, or a Field cannot be located for the specified column, or the EditMask has not been assigned in the Field definition.

GetEditMask signals the OnFieldEditMask event handler when it has been assigned for the control. Use OnFieldEditMask to return a user-specified value for the EditMask.

## See also

TCustomGrid.GetEditMask |  | Gets the edit mask for the specified cell.